<?php
	date_default_timezone_set('America/Costa_Rica');
	error_reporting(E_ALL);
	
	ini_set('display_errors', 1);  
	include('../conexion.php'); 
	require('../FE/fe_consultasbd.php');
	
	$parametros_FE = "SELECT * FROM wc_parametros_fe ";
	$result_parametros_FE = $mysqli->query($parametros_FE);
	$row__FE = $result_parametros_FE->fetch_array();	
	$base_url =  $row__FE["UriLocalhost"];
		
//   $mostrarLog =  true;
// 	*************************************	
//	Valorar el estado de sesion y comunicarse con DGT
//	*************************************			
//	function setLog($mensaje,$mostrar = false){
//		if($mostrar){
//			$fp = fopen('token_INDEX.log', 'a+');
//			fputs($fp,"\r\n".$mensaje);
//			fgets($fp);
//		}
//	}

//********************************************************************************
	$conexion = @fsockopen("www.google.com", 80, $errno, $errstr, 30);	
	if (!$conexion) {   // no tenemos internet
	
	} else {            // no hay internet
			
			$ahora  = strtotime(date('Y-m-d H:i:s'));	
			$bdHora = $resultadoToken['refresh_token_limit'];
			$bdHorasession = $resultadoToken['refresh_session_limit'];
					
			if( $ahora < $bdHorasession ){ // la sesion esta activa?	
			//setLog('SESION ACTIVA \r\n ahora: ' . $ahora . ' < sesion: ' .$bdHorasession,$mostrarLog);		
					$eltoken = $resultadoToken['access_token'];	
						if( $ahora < $bdHora ){    // El token esta activo?		
			//setLog('TOKEN ACTIVO  \r\n ahora' . $ahora . ' < token:' . $bdHora,$mostrarLog);												
					$eltoken = $resultadoToken['access_token'];							
						}else{                 	   // El Token no esta activo refresco
						
			//setLog('REFRESH TOKEN  \r\n ahora: '. $ahora . ' > token: ' .$bdHora,$mostrarLog);
			require('../FE/refresh_token.php');	// refreca token	
									
						}
			}else{                         // la Sesion no esta activa 
			
			//setLog('CERRAR SESION \r\n ahora: '.$ahora. ' > Sesion: ' .$bdHorasession,$mostrarLog);
					require('../FE/logout_token.php');	
			}
		
	}	
//********************************************************************************
	
	
//			if( $ahora < $bdHorasession ){//la sesion esta aciva?		
//			//setLog('SESION ACTIVA \r\n ahora: ' . $ahora . ' < sesion: ' .$bdHorasession,$mostrarLog);	
//			if( $ahora < $bdHora ){//El token esta activo?
//				//setLog('TOKEN ACTIVO  \r\n ahora' . $ahora . ' < token:' . $bdHora,$mostrarLog);					
//				$eltoken = $resultadoToken['access_token'];							
//			}else{	
//				require('../FE/refresh_token.php');	// refreca token		
//				//setLog('REFRESH TOKEN  \r\n ahora: '.$ahora. ' > token: ' .$bdHora,$mostrarLog);			
//			}
//		}else{
//			require('../FE/logout_token.php');	//cierra session
//			if($status == 204)
//			//	setLog('CERRAR SESION \r\n ahora: '.$ahora. ' > Sesion: ' .$bdHorasession,$mostrarLog);
//			return false;
//		}
//		
//	}
//	
	
				file_get_contents("$base_url/Comprobantes_fac/enviar_hacienda_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_fac/consultar_estado_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_fac/enviar_correo_masivo.php?base_url=$base_url");
				
			/*	file_get_contents("$base_url/Comprobantes_nc/enviar_hacienda_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_nc/consultar_estado_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_nc/enviar_correo_masivo.php?base_url=$base_url");
			
				file_get_contents("$base_url/Comprobantes_nd/enviar_hacienda_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_nd/consultar_estado_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_nd/enviar_correo_masivo.php?base_url=$base_url");
				
				file_get_contents("$base_url/Comprobantes_mensajes/enviar_hacienda_masivo.php?base_url=$base_url");
				file_get_contents("$base_url/Comprobantes_mensajes/consultar_estado_masivo.php?base_url=$base_url");	
				*/
			